dofile(reaper.AZ_GetLuaInitPath())
require("reaper_AZSTOKE_SILVER")

allCount = reaper.AZ_GetMediaTypeCount(0,"")

--Mute@Media@Delete
for i = allCount-1,0,-1 do
   mute = reaper.AZ_GetMediaMute(0,i)
   if mute then
      reaper.AZ_DeleteMedia(0,i)
   end
end


depthList = reaper.AZ_GetTrackDepthList(0)
count = reaper.AZ_GetTrackCountSelect(0,0)
track,trackId = reaper.AZ_GetSelectedTrackFirstInfo(0)

for a = 0,1 do 
    for i = count-1,trackId,-1 do
       allCount = reaper.AZ_GetTrackMediaTypeCount(0,i,"")
       trackList,trackCount = reaper.AZ_GetTrackIdChildList(0,i)
       if allCount == 0 and trackCount == 0 then
          retval = reaper.AZ_DeleteTrackIdSelect(0,i,0)
       end
    end
    count = reaper.AZ_GetTrackCountSelect(0,0)
    for i = 0,count-1 do
        track = reaper.AZ_GetTrackItemSelect(0,i,0)
        for e, value in pairs(depthList) do
           if track == depthList[e].Track then
              retval = reaper.AZ_SetTrackItemDepth(track,depthList[e].Depth)
           end
        end
    end
end

count = reaper.AZ_GetTrackCountSelect(0,1)

for i = 0,count-1 do
   masterName = reaper.AZ_GetSelectedTrackIdName(0,i)
   color = reaper.AZ_GetRandomColor()

   reaper.AZ_SetSelectedTrackIdColor(0,i,color)
   trackList = reaper.AZ_GetSelectedTrackIdChildList(0,i)
   for e, value in pairs(trackList) do
       reaper.AZ_SetTrackItemColor(trackList[e],color)
       num = reaper.AZ_FormatNumDigit(e,2)
       setName = masterName.."_"..num
       reaper.AZ_SetTrackItemName(trackList[e],setName)
   end

end